StripSymbols (Gradle API 9.5.0)
Description: declaration: package: org.gradle.nativeplatform.tasks, class: StripSymbols

Package org.gradle.nativeplatform.tasks

# Class StripSymbols

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.nativeplatform.tasks.StripSymbols

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `Named`, `ExtensionAware`, `Task`, `Configurable<Task>`

@DisableCachingByDefault(because="Not made cacheable, yet") public abstract class StripSymbols extends DefaultTask
Strips the debug symbols from a binary

Since:
  4.5

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Field Summary

  ### Fields inherited from interface org.gradle.api.Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StripSymbols()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract RegularFileProperty`
  `getBinaryFile()`
  The file that debug symbols should be stripped from.
  `abstract RegularFileProperty`
  `getOutputFile()`
  The destination to write the stripped binary to.
  `abstract Property<NativePlatform>`
  `getTargetPlatform()`
  The platform for the binary.
  `abstract Property<NativeToolChain>`
  `getToolChain()`
  The tool chain used for striping symbols.
  `protected void`
  `stripSymbols()`

  ### Methods inherited from class org.gradle.api.DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, doNotTrackStateIf, getAsDynamicObject, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonsNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, restoreOnlyIf, restoreTaskActions, setImpliesSubProjects`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.gradle.api.Task

  `doNotTrackState, notCompatibleWithConfigurationCache`

- ## Constructor Details

  - ### StripSymbols

    public StripSymbols()

- ## Method Details

  - ### getBinaryFile

    @InputFile @PathSensitive(NONE) public abstract RegularFileProperty getBinaryFile()
    The file that debug symbols should be stripped from. Note that this file remains unchanged and a new stripped binary will be written to the file specified by {`getOutputFile()`}.

  - ### getOutputFile

    @OutputFile public abstract RegularFileProperty getOutputFile()
    The destination to write the stripped binary to.

  - ### getToolChain

    @Internal public abstract Property<NativeToolChain> getToolChain()
    The tool chain used for striping symbols.
    Since:
      4.7

  - ### getTargetPlatform

    public abstract Property<NativePlatform> getTargetPlatform()
    The platform for the binary.
    Since:
      4.7

  - ### stripSymbols

    protected void stripSymbols()